<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>

<mat-progress-bar mode="indeterminate" *ngIf="loading" class="m-1"></mat-progress-bar>

<div class="card">
  <div class="card-body">
    <div class="row d-flex justify-content-around">
      <div class="form-group col-2">
        <label for="">Propiedad</label>
        <input type="text" class="form-control" [(ngModel)]="ttInfocia.propiedad" disabled>
      </div>
      <div class="form-group col-3">
        <label for="">Fecha</label>
        <kendo-datepicker [format]="formatKendo" [(ngModel)]="tblGeneral.fFec1" class="w-100" [max]="fday">
        </kendo-datepicker>
      </div>
      <div class="form-group col-2">
        <label for="">Secuencia</label>
        <input type="number" class="form-control" [(ngModel)]="tblGeneral.iInt1" min="1" max="20">
      </div>
      <div class="form-group col-2 d-flex mt-4">
        <button class="btn btn-success px-4 py-2"  (click)="cargarArchivo()">
          <i class="fas fa-print mr-2"></i>Cargar Archivo
        </button>
      </div>
    </div>
  </div>
</div>